"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var forms_1 = require("@angular/forms");
var bit_custom_component_1 = require("./bit-custom.component");
exports.CUSTOM_INPUT_SWITCH_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return BitSwitchComponent; }),
    multi: true
};
var BitSwitchComponent = /** @class */ (function (_super) {
    __extends(BitSwitchComponent, _super);
    function BitSwitchComponent(ayudaService, changeDetectorRef) {
        var _this = _super.call(this, ayudaService, changeDetectorRef) || this;
        _this.ayudaService = ayudaService;
        _this.changeDetectorRef = changeDetectorRef;
        return _this;
    }
    Object.defineProperty(BitSwitchComponent.prototype, "value_lectura", {
        get: function () {
            return this.value ? "Sí" : "No";
        },
        enumerable: true,
        configurable: true
    });
    BitSwitchComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "bit-switch",
                    template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;<span *ngIf=\"obligatorio\" class=\"obligatorio fa fa-asterisk\"></span>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"readOnly\" class=\"lectura\" [id]=\"nombre\">{{value_lectura}}</p>\n    <p-inputSwitch \n        *ngIf=\"!readOnly\"\n        onLabel=\"Sí\" \n        offLabel=\"No\" \n        binary=\"true\" \n        [(ngModel)]=\"value\" \n        name=\"{{nombre}}\" \n        id=\"{{nombre}}\">\n    </p-inputSwitch>\n    <control-messages *ngIf=\"control != null\" [control]=\"control\" [field]=\"nombre\"></control-messages>\n  ",
                    providers: [exports.CUSTOM_INPUT_SWITCH_CONTROL_VALUE_ACCESSOR]
                },] },
    ];
    /** @nocollapse */
    BitSwitchComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService },
        { type: core_1.ChangeDetectorRef }
    ]; };
    return BitSwitchComponent;
}(bit_custom_component_1.BitCustomComponent));
exports.BitSwitchComponent = BitSwitchComponent;
//# sourceMappingURL=bit-switch.component.js.map