"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var bit_general_component_1 = require("./bit-general.component");
var BitCheckBoxComponent = /** @class */ (function (_super) {
    __extends(BitCheckBoxComponent, _super);
    function BitCheckBoxComponent(ayudaService) {
        var _this = _super.call(this, ayudaService) || this;
        _this.ayudaService = ayudaService;
        return _this;
    }
    Object.defineProperty(BitCheckBoxComponent.prototype, "value_lectura", {
        get: function () {
            return this.control.value ? "Sí" : "No";
        },
        enumerable: true,
        configurable: true
    });
    BitCheckBoxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "bit-checkbox",
                    template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;<span *ngIf=\"obligatorio\" class=\"obligatorio fa fa-asterisk\"></span>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"readOnly\" class=\"lectura\" [id]=\"nombre\">{{value_lectura}}</p>\n    <p-checkbox \n        *ngIf=\"!readOnly\"\n        class=\"{{estilo}}\" \n        binary=\"true\"\n        [formControl]=\"control\"\n        [label]=\"!hideLabel && label\" \n        name=\"{{nombre}}\" \n        id=\"{{nombre}}\">\n    </p-checkbox>\n\n    <i *ngIf=\"ayuda\" (click)=\"showAyuda();\"class=\"btn-ayuda-checkbox fa fa-question\"></i>            \n\n    <control-messages *ngIf=\"control != null\" [control]=\"control\" [field]=\"nombre\"></control-messages>\n  "
                },] },
    ];
    /** @nocollapse */
    BitCheckBoxComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService }
    ]; };
    return BitCheckBoxComponent;
}(bit_general_component_1.BitGeneralComponent));
exports.BitCheckBoxComponent = BitCheckBoxComponent;
//# sourceMappingURL=bit-checkbox.component.js.map