"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var bit_general_component_1 = require("./bit-general.component");
var BitTextComponent = /** @class */ (function (_super) {
    __extends(BitTextComponent, _super);
    function BitTextComponent(ayudaService) {
        var _this = _super.call(this, ayudaService) || this;
        _this.ayudaService = ayudaService;
        return _this;
    }
    BitTextComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "bit-text",
                    template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;<span *ngIf=\"obligatorio\" class=\"obligatorio fa fa-asterisk\"></span>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"readOnly\" class=\"lectura\" [id]=\"nombre\">{{value_lectura}}</p>\n    <input\n        *ngIf=\"!tooltipTexto && !readOnly\"\n        type=\"text\"\n        class=\"form-control\"\n        id=\"{{ nombre }}\"\n        name=\"{{ nombre }}\"\n        [formControl]=\"control\"\n        [attr.directive]=\"nombreDirectiva\"\n        (blur)=\"onBlur()\"\n        (focus)=\"onFocus()\"\n        [placeholder]=\"placeholder\"\n    />\n    <input\n        *ngIf=\"tooltipTexto && !readOnly\"\n        type=\"text\"\n        class=\"form-control\"\n        id=\"{{ nombre }}\"\n        name=\"{{ nombre }}\"\n        [formControl]=\"control\"\n        [attr.directive]=\"nombreDirectiva\"\n        (blur)=\"onBlur()\"\n        (focus)=\"onFocus()\"\n        [pTooltip]=\"tooltipTexto\"\n        [tooltipPosition]=\"tooltipPosicion\"\n    />\n    <control-messages *ngIf=\"control != null\" [control]=\"control\" [field]=\"nombre\"></control-messages>\n  "
                },] },
    ];
    /** @nocollapse */
    BitTextComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService }
    ]; };
    return BitTextComponent;
}(bit_general_component_1.BitGeneralComponent));
exports.BitTextComponent = BitTextComponent;
//# sourceMappingURL=bit-text.component.js.map